sqlite_unbuffered_query
SQLite3
SQLite Functions
PHP Manual

# sqlite_valid

# SQLiteResult::valid

# SQLiteUnbuffered::valid

(PHP 5 < 5.4.0)

sqlite_valid -- SQLiteResult::valid -- SQLiteUnbuffered::valid — Returns whether more rows are available

### Description

bool sqlite_valid ( resource `$result` )

Object oriented style (method):

bool SQLiteResult::valid ( void )
bool SQLiteUnbuffered::valid ( void )

Finds whether more rows are available from the given result handle.

### Parameters

`result`

  The SQLite result resource. This parameter is not required when using the object-oriented method.

  > Note:

  > This function cannot be used with unbuffered result handles.

### Return Values

Returns `TRUE` if there are more rows available from the `result` handle, or `FALSE` otherwise.

### See Also

- sqlite_num_rows() - Returns the number of rows in a buffered result set
- sqlite_changes() - Returns the number of rows that were changed by the most recent SQL statement

sqlite_unbuffered_query
SQLite3
SQLite Functions
PHP Manual